Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Interface Graphics2DAdapter

All Known Implementing Classes:
  AbstractGraphics2DAdapter, AFPGraphics2DAdapter, Java2DGraphics2DAdapter, PSGraphics2DAdapter

    public interface Graphics2DAdapter

This interface represents an optional feature that can be provided by a renderer. It is exposed by calling the getGraphics2DAdapter() method on the renderer. Renderers that support this feature allow painting of arbitrary images through a Graphics2D instance.

Method Summary
`void` | `paintImage(org.apache.xmlgraphics.java2d.Graphics2DImagePainter painter, RendererContext context, int x, int y, int width, int height)` Paints an arbitrary images on a given Graphics2D instance.
`void` | `paintImage(Graphics2DImagePainter painter, RendererContext context, int x, int y, int width, int height)` Deprecated. Use the variant with the Graphics2DImagePainter from XML Graphics Commons instead

Method Detail

### paintImage

    void paintImage(org.apache.xmlgraphics.java2d.Graphics2DImagePainter painter,
                    RendererContext context,
                    int x,
                    int y,
                    int width,
                    int height)
                    throws java.io.IOException

  Paints an arbitrary images on a given Graphics2D instance. The renderer providing this functionality must set up a Graphics2D instance so that the image with the given extents (in mpt) can be painted by the painter passed to this method. The Graphics2DImagePainter is then passed this Graphics2D instance so the image can be painted.

  Parameters:
    `painter` - the painter which will paint the actual image
    `context` - the renderer context for the current renderer
    `x` - X position of the image
    `y` - Y position of the image
    `width` - width of the image
    `height` - height of the image
  Throws:
    `java.io.IOException` - In case of an I/O error while writing the output format

### paintImage

    void paintImage(Graphics2DImagePainter painter,
                    RendererContext context,
                    int x,
                    int y,
                    int width,
                    int height)
                    throws java.io.IOException

  Deprecated. Use the variant with the Graphics2DImagePainter from XML Graphics Commons instead

  Paints an arbitrary images on a given Graphics2D instance. The renderer providing this functionality must set up a Graphics2D instance so that the image with the given extents (in mpt) can be painted by the painter passed to this method. The Graphics2DImagePainter is then passed this Graphics2D instance so the image can be painted.

  Parameters:
    `painter` - the painter which will paint the actual image
    `context` - the renderer context for the current renderer
    `x` - X position of the image
    `y` - Y position of the image
    `width` - width of the image
    `height` - height of the image
  Throws:
    `java.io.IOException` - In case of an I/O error while writing the output format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.